Open CASCADE Technology: AIS_IndexedDataMapOfOwnerPrs Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
AIS_IndexedDataMapOfOwnerPrs Class Reference

`#include <AIS_IndexedDataMapOfOwnerPrs.hxx>`

Inheritance diagram for AIS_IndexedDataMapOfOwnerPrs:
[legend]

## Public Member Functions
| AIS_IndexedDataMapOfOwnerPrs (const Standard_Integer NbBuckets=1)
AIS_IndexedDataMapOfOwnerPrs & | Assign (const AIS_IndexedDataMapOfOwnerPrs &Other)
AIS_IndexedDataMapOfOwnerPrs & | operator= (const AIS_IndexedDataMapOfOwnerPrs &Other)
void | ReSize (const Standard_Integer NbBuckets)
void | Clear ()
| ~AIS_IndexedDataMapOfOwnerPrs ()
Standard_Integer | Add (const Handle< SelectMgr_EntityOwner > &K, const Handle< Prs3d_Presentation > &I)
void | Substitute (const Standard_Integer I, const Handle< SelectMgr_EntityOwner > &K, const Handle< Prs3d_Presentation > &T)
void | RemoveLast ()
Standard_Boolean | Contains (const Handle< SelectMgr_EntityOwner > &K) const
const Handle < SelectMgr_EntityOwner > & | FindKey (const Standard_Integer I) const
const Handle < Prs3d_Presentation > & | FindFromIndex (const Standard_Integer I) const
const Handle < Prs3d_Presentation > & | operator() (const Standard_Integer I) const
Handle< Prs3d_Presentation > & | ChangeFromIndex (const Standard_Integer I)
Handle< Prs3d_Presentation > & | operator() (const Standard_Integer I)
Standard_Integer | FindIndex (const Handle< SelectMgr_EntityOwner > &K) const
const Handle < Prs3d_Presentation > & | FindFromKey (const Handle< SelectMgr_EntityOwner > &K) const
Handle< Prs3d_Presentation > & | ChangeFromKey (const Handle< SelectMgr_EntityOwner > &K)
Standard_Address | FindFromKey1 (const Handle< SelectMgr_EntityOwner > &K) const
Standard_Address | ChangeFromKey1 (const Handle< SelectMgr_EntityOwner > &K)
Public Member Functions inherited from TCollection_BasicMap
Standard_Integer | NbBuckets () const
| Returns the number of buckets in <me>. More...
Standard_Integer | Extent () const
| Returns the number of keys already stored in <me>. More...
Standard_Boolean | IsEmpty () const
| Returns True when the map contains no keys. This is exactly Extent() == 0. More...
void | Statistics (Standard_OStream &S) const
| Prints on <S> usefull statistics about the map <me>. It can be used to test the quality of the hashcoding. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMap
| TCollection_BasicMap (const Standard_Integer NbBuckets, const Standard_Boolean single)
| Initialize the map. Single is True when the map uses only one table of buckets. More...
Standard_Boolean | BeginResize (const Standard_Integer NbBuckets, Standard_Integer &NewBuckets, Standard_Address &data1, Standard_Address &data2) const
| Tries to resize the Map with NbBuckets. Returns True if possible, NewBuckts is the new nuber of buckets. data1 and data2 are the new tables of buckets where the data must be copied. More...
void | EndResize (const Standard_Integer NbBuckets, const Standard_Integer NewBuckets, const Standard_Address data1, const Standard_Address data2)
| If BeginResize was succesfull after copying the data to data1 and data2 this methods update the tables and destroys the old ones. More...
Standard_Boolean | Resizable () const
| Returns True if resizing the map should be considered. More...
void | Increment ()
| Decrement the extent of the map. More...
void | Decrement ()
| Decrement the extent of the map. More...
void | Destroy ()
| Destroys the buckets. More...
Protected Attributes inherited from TCollection_BasicMap
Standard_Address | myData1
Standard_Address | myData2

## Constructor & Destructor Documentation

AIS_IndexedDataMapOfOwnerPrs::AIS_IndexedDataMapOfOwnerPrs | ( | const Standard_Integer | NbBuckets = `1` | ) |

AIS_IndexedDataMapOfOwnerPrs::~AIS_IndexedDataMapOfOwnerPrs | ( |  | ) |
| inline

## Member Function Documentation

Standard_Integer AIS_IndexedDataMapOfOwnerPrs::Add | ( | const Handle< SelectMgr_EntityOwner > & | K,
|  | const Handle< Prs3d_Presentation > & | I
| ) |  |

AIS_IndexedDataMapOfOwnerPrs& AIS_IndexedDataMapOfOwnerPrs::Assign | ( | const AIS_IndexedDataMapOfOwnerPrs & | Other | ) |

Handle< Prs3d_Presentation >& AIS_IndexedDataMapOfOwnerPrs::ChangeFromIndex | ( | const Standard_Integer | I | ) |

Handle< Prs3d_Presentation >& AIS_IndexedDataMapOfOwnerPrs::ChangeFromKey | ( | const Handle< SelectMgr_EntityOwner > & | K | ) |

Standard_Address AIS_IndexedDataMapOfOwnerPrs::ChangeFromKey1 | ( | const Handle< SelectMgr_EntityOwner > & | K | ) |

void AIS_IndexedDataMapOfOwnerPrs::Clear | ( |  | ) |

Standard_Boolean AIS_IndexedDataMapOfOwnerPrs::Contains | ( | const Handle< SelectMgr_EntityOwner > & | K | ) | const

const Handle< Prs3d_Presentation >& AIS_IndexedDataMapOfOwnerPrs::FindFromIndex | ( | const Standard_Integer | I | ) | const

const Handle< Prs3d_Presentation >& AIS_IndexedDataMapOfOwnerPrs::FindFromKey | ( | const Handle< SelectMgr_EntityOwner > & | K | ) | const

Standard_Address AIS_IndexedDataMapOfOwnerPrs::FindFromKey1 | ( | const Handle< SelectMgr_EntityOwner > & | K | ) | const

Standard_Integer AIS_IndexedDataMapOfOwnerPrs::FindIndex | ( | const Handle< SelectMgr_EntityOwner > & | K | ) | const

const Handle< SelectMgr_EntityOwner >& AIS_IndexedDataMapOfOwnerPrs::FindKey | ( | const Standard_Integer | I | ) | const

const Handle< Prs3d_Presentation >& AIS_IndexedDataMapOfOwnerPrs::operator() | ( | const Standard_Integer | I | ) | const
| inline

Handle< Prs3d_Presentation >& AIS_IndexedDataMapOfOwnerPrs::operator() | ( | const Standard_Integer | I | ) |
| inline

AIS_IndexedDataMapOfOwnerPrs& AIS_IndexedDataMapOfOwnerPrs::operator= | ( | const AIS_IndexedDataMapOfOwnerPrs & | Other | ) |
| inline

void AIS_IndexedDataMapOfOwnerPrs::RemoveLast | ( |  | ) |

void AIS_IndexedDataMapOfOwnerPrs::ReSize | ( | const Standard_Integer | NbBuckets | ) |

void AIS_IndexedDataMapOfOwnerPrs::Substitute | ( | const Standard_Integer | I,
|  | const Handle< SelectMgr_EntityOwner > & | K,
|  | const Handle< Prs3d_Presentation > & | T
| ) |  |

The documentation for this class was generated from the following file:

- AIS_IndexedDataMapOfOwnerPrs.hxx